import { WsApiRequest, WsApiRequestHandler, WsApiResponse, WsApiRoute, WsApiRouteKey } from '../types';
import { APIGatewayProxyEvent } from 'aws-lambda';
export declare class WsApi {
    private requestHandlers;
    addRouteHandler<RouteKey extends WsApiRouteKey, Request extends WsApiRequest, Response extends WsApiResponse = never>(route: WsApiRoute<RouteKey, Request, Response>, requestHandler: WsApiRequestHandler<RouteKey, Request, Response>): this;
    handleRequest(event: APIGatewayProxyEvent): void;
}
