import { WsApiRequest, WsApiResponse, WsApiRouteKey } from './common';
import { OmitNever } from '../../types/OmitNever';
export type WsApiRequestHandler<RouteKey extends WsApiRouteKey, Request extends WsApiRequest, Response extends WsApiResponse = never> = (request: Request & {
    action: RouteKey;
}, responseActions: OmitNever<{
    sendMessage: [Response] extends [never] ? never : (message: Response) => void;
    closeConnection: () => void;
}>) => Promise<void>;
